VERSION 5.00
Begin VB.Form frmPlotRahmen 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "frmStandard"
   ClientHeight    =   6075
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7710
   Icon            =   "PlotRahm.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   6075
   ScaleWidth      =   7710
   StartUpPosition =   3  'Windows-Standard
   Begin VB.PictureBox picBlatt 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      Height          =   4950
      Left            =   360
      ScaleHeight     =   4890
      ScaleWidth      =   6945
      TabIndex        =   4
      Top             =   240
      Width           =   7000
   End
   Begin VB.ComboBox cboPort 
      Height          =   315
      Left            =   1920
      Style           =   2  'Dropdown-Liste
      TabIndex        =   3
      Top             =   5400
      Width           =   1455
   End
   Begin VB.ComboBox cboProgramme 
      Height          =   315
      Left            =   360
      Style           =   2  'Dropdown-Liste
      TabIndex        =   2
      Top             =   5400
      Width           =   1455
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   400
      Left            =   3840
      TabIndex        =   1
      Top             =   5400
      Width           =   1695
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   400
      Left            =   5640
      TabIndex        =   0
      Top             =   5400
      Width           =   1695
   End
End
Attribute VB_Name = "frmPlotRahmen"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmPlotRahmen(PlotRahm.frm)                             Ulrich Mller 26.02.99
'                                                         Procida 400NT    VB6.0
' TestRahmen zum Aufruf von clsPlot85
'  Sub TestPlot kann zur berprfung des Plotters genutzt werden
'      FunctionPlot : Darstellung eines Funktionsverlaufs
'  Defaultwerte fr die ComboBoxen werden in Form_Load eingestellt
'
' ------------------------------------------------------------------------------

Option Explicit

Private p85 As New clsPlot85

Private Sub cmdAction_Click()

' --- Aktivieren Plotter, Zeichnen einer Seite ---

Dim res&

   res = p85.psOpenPlotter(cboPort.Text, picBlatt)
    If res = ftiFehler Then
      MsgBox "Plotter Problem : " & cboPort, vbExclamation + vbOKOnly, "ftPlot"
      Exit Sub
    End If
  
  p85.psOutputDelay = 0                 ' --- nur fr LPT-Interfaces
                                        '     hier sollte man experimentieren
                                        '     default = 60000 (Pentium 400)
  cmdEnde.Caption = "Abbrechen"
  Select Case cboProgramme.Text
  Case "TEST"
    TestPlot
  Case "SinExp"
    FunktionPlot
  Case Else
  End Select
  
  cmdEnde.Caption = "ENDE"
  cmdEnde.SetFocus
  
End Sub

Private Sub cmdEnde_Click()
  
  p85.psClosePlotter
  End
  
End Sub



Private Sub FunktionPlot()

' --- Darstellung eines Funktionsverlaufs : Sin(x)*Exp(-x/10) ----
'     Function FunSinExp wird genutzt

Dim FunMin!, FunMax!, FunText$, XA!, XE!, X!
Dim X0!, X1!, X2!, Y1!, Y2!, YA!, YE!, Y!

  FunText = "Sin(x)*Exp(-x/10)"
  XA = 0
  XE = 62.8
  
  FunMin = FunSinExp(XA)
  FunMax = FunSinExp(XA)
  
  For X = XA To XE Step (XE - XA) / 200
    If FunSinExp(X) > FunMax Then FunMax = FunSinExp(X)
    If FunSinExp(X) < FunMin Then FunMin = FunSinExp(X)
  Next X
  
  X1 = XA - (XE - XA) / 20
  X2 = XE + (XE - XA) / 20
  Y1 = FunMin - (FunMax - FunMin) / 20
  Y2 = FunMax + (FunMax - FunMin) / 20
  XA = 10
  XE = 650
  YA = 10
  YE = 480
  
  p85.psAxis XA, YA, XE, YE, X1, Y1, X2, Y2, 1, "X", FunText
  
  p85.psMove X1 + (X2 - X1) / 22, FunSinExp(X)
  
  For X0 = X1 + (X2 - X1) / 22 To X2 - (X2 - X1) / 22 Step (X2 - X1) / 220
    p85.psLine X0, FunSinExp(X0)
    DoEvents                      ' --- sinnvoll, wenn nur in PictureBox
                                  '     ausgegeben wird, bei AutoReDraw=True
  Next X0
  
End Sub
Private Function FunSinExp(X!)

  FunSinExp = Sin(X) * Exp(-X / 10)

End Function

Private Sub TestPlot()

' --- berprfung von Plotter und clsPlot85-Funktionen ---

Dim i&

GoTo TEST

TEST:
  p85.psSetOrigin 300, 250          ' --- Setzen neuer Nullpunkt
  p85.psMove 0, 0                   ' --- Fahren zum Nullpunkt
  p85.psLine 200, 0                 ' --- 200 Einheiten nach rechts
  p85.psLine 200, 200               '     200 Einheiten nach oben
  p85.psLine 0, 200                 '     200 Einheiten nach links
  p85.psLine 0, 0                   '     200 Einheiten nach unten
  p85.psBox -200, -100, 0, 100, 20  ' --- Box, schraffiert
  p85.psChar -10, -50, "TextHorizontal", psHor, 4
  p85.psChar -20, 0, "TextVertikal", psVer, 2
  p85.psCircle 0, 0, 200, 200       ' --- Vollkreis, Radius 200

'  p85.psAxis 20, 20, 660, 480, -50, -50, 50, 100, psText, "XAchse"
  
End Sub



Private Sub Form_Load()
  
' --- Besetzen der ComboBoxen ---

  cboProgramme.Clear
  cboProgramme.AddItem "PlotProgramme"
  cboProgramme.AddItem "TEST"
  cboProgramme.AddItem "SinExp"
  cboProgramme.ListIndex = 1
  
  cboPort.Clear
  cboPort.AddItem "SCR"
  cboPort.AddItem "COM1"
  cboPort.AddItem "COM2"
  cboPort.AddItem "COM3"
  cboPort.AddItem "COM4"
  cboPort.AddItem "LPT1"
  cboPort.AddItem "LPT2"
  cboPort.AddItem "LPT3"
  cboPort.ListIndex = 0

End Sub


